gwenhywfar.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/error.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Macros

#define | GWEN_PM_DATADIR "datadir"
#define | GWEN_PM_LIBNAME "gwenhywfar"
#define | GWEN_PM_LOCALEDIR "localedir"
#define | GWEN_PM_PLUGINDIR "plugindir"
#define | GWEN_PM_SYSCONFDIR "sysconfdir"
#define | GWEN_PM_SYSDATADIR "sysdatadir"

## Functions

GWENHYWFAR_API int | GWEN_Fini (void)
GWENHYWFAR_API int | GWEN_Fini_Forced (void)
GWENHYWFAR_API int | GWEN_Init (void)
GWENHYWFAR_API void | GWEN_Version (int *major, int *minor, int *patchlevel, int *build)

## Macro Definition Documentation

## GWEN_PM_DATADIR

#define GWEN_PM_DATADIR "datadir"

Path identifier for the data files of this gwenhywfar installation, which point to e.g. "/usr/share/gwenhywfar"

Definition at line 56 of file gwenhywfar.h.

## GWEN_PM_LIBNAME

#define GWEN_PM_LIBNAME "gwenhywfar"

This is used as the destLib name for paths of Gwenhywfar when used with GWEN_PathManager_AddPath and other functions of that group.

Definition at line 42 of file gwenhywfar.h.

## GWEN_PM_LOCALEDIR

#define GWEN_PM_LOCALEDIR "localedir"

Path identifier for the locale data directory of this gwenhywfar installation, which might point to e.g. "/usr/share/locale"

Definition at line 49 of file gwenhywfar.h.

## GWEN_PM_PLUGINDIR

#define GWEN_PM_PLUGINDIR "plugindir"

Path identifier for the plugin library files of this gwenhywfar installation, which point to e.g. "/usr/lib/gwenhywfar/plugins/0"

Definition at line 53 of file gwenhywfar.h.

## GWEN_PM_SYSCONFDIR

#define GWEN_PM_SYSCONFDIR "sysconfdir"

Path identifier for the system-wide configuration directory of this gwenhywfar installation, which might point to e.g. "/etc"

Definition at line 46 of file gwenhywfar.h.

## GWEN_PM_SYSDATADIR

#define GWEN_PM_SYSDATADIR "sysdatadir"

Path identifier for generic data files of this installation, which points to e.g. "/usr/share". Please note: The difference between this identifier and GWEN_PM_DATADIR is that the latter points to Gwenhywfar's own data files while this identifier here points to the generic data folder (usually the parent of GWEN_PM_DATADIR).

Definition at line 66 of file gwenhywfar.h.

## Function Documentation

## GWEN_Fini()

GWENHYWFAR_API int GWEN_Fini | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_Fini_Forced()

GWENHYWFAR_API int GWEN_Fini_Forced | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_Init()

GWENHYWFAR_API int GWEN_Init | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_Version()

GWENHYWFAR_API void GWEN_Version | ( | int * | major,
|  | int * | minor,
|  | int * | patchlevel,
|  | int * | build )